DebugUtil::DebugLogger Class Reference

class that can be used for logging More...

## Public Member Functions

| log (int verbosity, string fmt)
| implement logging More...
| log2 (int verbosity, string fmt, *list args)
| implement logging More...

## Detailed Description

class that can be used for logging

## Member Function Documentation

## log()

DebugUtil::DebugLogger::log | ( | int | verbosity,
|  | string | fmt
| ) |  |

implement logging

Parameters

  verbosity | use DPC_xxx constants
  fmt | Qore::sprintf() format

## log2()

DebugUtil::DebugLogger::log2 | ( | int | verbosity,
|  | string | fmt,
|  | *list | args
| ) |  |

implement logging

Parameters

  verbosity | use DPC_xxx constants
  fmt | Qore::sprintf() format
  args | arguments to format